﻿Type=StaticCode
Version=4.7
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Static code module
#IgnoreWarnings: 12
Sub Process_Globals
	Private fx As JFX
	Type TextMetric (Width As Int,Height As Int)
End Sub

'Return a TextMetric Type containing the text width and height
Sub MeasureText(Text As String,TFont As Font) As TextMetric
    Dim TB,Bounds As JavaObject
    Dim TM As TextMetric
    TB.InitializeStatic("javafx.scene.text.TextBuilder")
    Bounds = TB.RunMethodJO("create",Null).RunMethodJO("text",Array(Text)).RunMethodJO("font",Array(TFont)).RunMethodJO("build",Null).RunMethodJO("getLayoutBounds",Null)
    TM.Width = Bounds.RunMethod("getWidth",Null)
    TM.Height = Bounds.RunMethod("getHeight",Null)
    Return TM
End Sub

'Return a JavaObject
Sub AsJO(JO As JavaObject) As JavaObject
	Return JO
End Sub

'Return A Double value
Sub AsDouble(Val As Double) As Double
	Return Val
End Sub
